POST
/
proxy_api
/
v1
/
iproyal
/
users
/
whitelist_ips
Whitelist IPs for a sub-user
curl --request POST \
  --url https://core-proxy-service-w34nvoxnwq-uc.a.run.app/proxy_api/v1/iproyal/users/whitelist_ips \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "user_id": "<string>",
  "ips": [
    "<string>"
  ]
}
'
{
  "username": "<string>",
  "user_id": 12345,
  "password": "<string>",
  "data_gb": 123,
  "used_traffic": 123,
  "whitelisted_ips": [
    "<string>"
  ],
  "status": "<string>"
}

Authorizations

Authorization
string
header
required

[just text field] Please enter token in following format: Bearer

Body

application/json
user_id
string
required

User Id

ips
string[]
required

Array of IPs to be whitelisted

Response

IP Whitelisted

username
string
required

username

user_id
number
required

user_id

Example:

12345

password
string
required

Password

data_gb
number
required

Data gb

used_traffic
number
required

Used Data Gb

whitelisted_ips
string[]
required

Whitelisted IPs

status
string
required

User Status